Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I try to upgrade from 12.04 to 12.10 it won't even start.

Following is ther terminal output of do release-upgrade and cat /var/log/dist-upgrade/main.log (apt.log doesn't exist).

root@somehost:/tmp# do-release-upgrade


Checking for a new Ubuntu release
Get:1 Upgrade tool signature [198 B]
Get:2 Upgrade tool [1198 kB]
Fetched 1198 kB in 0s (0 B/s)
authenticate 'quantal.tar.gz' against 'quantal.tar.gz.gpg'
extracting 'quantal.tar.gz'

Reading cache

Checking package manager

Continue running under SSH?

This session appears to be running under ssh. It is not recommended
to perform a upgrade over ssh currently because in case of failure it
is harder to recover.

If you continue, an additional ssh daemon will be started at port
'1022'.
Do you want to continue?

Continue [yN] y


A fatal error occurred

Please report this as a bug and include the files
/var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log in
your report. The upgrade has aborted.
Your original sources.list was saved in
/etc/apt/sources.list.distUpgrade.

Traceback (most recent call last):

File "/tmp/update-manager-l6hrMz/quantal", line 10, in <module>
sys.exit(main())

File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeMain.py",
line 240, in main
if app.run():

File
"/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py",
line 1764, in run
return self.fullUpgrade()

File
"/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py",
line 1616, in fullUpgrade
if not self.prepare():

File
"/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py",
line 429, in prepare
self._sshMagic()

File
"/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py",
line 299, in _sshMagic
"Do you want to continue?") % port)

File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeViewText.py",
line 216, in askYesNoQuestion
res = sys.stdin.readline().decode(ENCODING, "backslashreplace")

TypeError: decode() argument 1 must be string, not None
=== Command detached from window (Sun Feb 17 22:29:59 2013) ===
=== Command terminated with exit status 1 (Sun Feb 17 22:29:59 2013) ===


root@somehost:/tmp# cat /var/log/dist-upgrade/main.log
2013-02-17 22:29:55,763 INFO Using config files '['./DistUpgrade.cfg']'
2013-02-17 22:29:55,763 INFO uname information: 'Linux somehost 3.2.0-37-generic #58-Ubuntu SMP Thu Jan 24 15:28:10 UTC 2013 x86_64'
2013-02-17 22:29:55,763 INFO apt version: '0.8.16~exp12ubuntu10.7'
2013-02-17 22:29:55,764 INFO release-upgrader version '0.190.4' started
2013-02-17 22:29:55,883 DEBUG Using 'DistUpgradeViewText' view
2013-02-17 22:29:55,915 DEBUG aufsOptionsAndEnvironmentSetup()
2013-02-17 22:29:55,915 DEBUG using '/tmp/upgrade-rw-3rOa1K' as aufs_rw_dir
2013-02-17 22:29:55,916 DEBUG using '/tmp/upgrade-chroot-CDOxkq' as aufs chroot dir
2013-02-17 22:29:55,916 DEBUG enable dpkg --force-overwrite
2013-02-17 22:29:55,926 DEBUG creating statefile: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
2013-02-17 22:29:58,326 DEBUG lsb-release: 'precise'
2013-02-17 22:29:59,924 ERROR not handled exception:
Traceback (most recent call last):

  File "/tmp/update-manager-l6hrMz/quantal", line 10, in <module>
    sys.exit(main())

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeMain.py", line 240, in main
    if app.run():

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py", line 1764, in run
    return self.fullUpgrade()

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py", line 1616, in fullUpgrade
    if not self.prepare():

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py", line 429, in prepare
    self._sshMagic()

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeController.py", line 299, in _sshMagic
    "Do you want to continue?") % port)

  File "/tmp/update-manager-l6hrMz/DistUpgrade/DistUpgradeViewText.py", line 216, in askYesNoQuestion
    res = sys.stdin.readline().decode(ENCODING, "backslashreplace")

TypeError: decode() argument 1 must be string, not None

2013-02-17 22:29:59,925 DEBUG enabling apt cron job
share|improve this question
    
did not help me: Reading cache Checking package manager Continue running under SSH? This session appears to be running under ssh. It is not recommended to perform a upgrade over ssh currently because in case of failure it is harder to recover. If you continue, an additional ssh daemon will be started at port '1022'. Do you want to continue? Continue [yN] y A fatal error occurred Please report this as a bug and include the files /var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log in your report. The upgrade has aborted. Your original sources.list was saved in /etc/apt/sources.list. –  user141181 Mar 17 '13 at 21:45
    
@Martin What didn't help? –  Eliah Kagan Apr 6 '13 at 18:17
    
I solved the same problem with command: export LC_ALL='en_US.UTF-8' –  Timur Nurlygayanov Jul 7 at 8:11

1 Answer 1

up vote 5 down vote accepted

Make sure you have set your Locales correctly -

sudo apt-get install language-pack-en-base
sudo dpkg-reconfigure locales

Then, add the following to /etc/bash.bashrc:

export LANG='en_US.UTF-8'
export SUPPORTED="$LANG:en_US:en"

You should modify the variables to match your preferred locale(s). You will need to re-log in (or, in the case of SSH, reconnect) before the changes will take effect. If you are using byobu, tmux, or screen, be sure to exit out of every window and close the session first.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.